{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function end_window, msg, send_event, post_event\r\ndeclare subroutine record_lock\r\n\r\nCIId = .cust_inquiry_id->text\r\nopen 'SYSLISTS' to SysListsTable else\r\n    Void = msg( '', 'Unable to open SYSLISTS...' )\r\n    return 0\r\nend\r\nPrevWindow = set_property( @window, '@PrevWindow' )\r\nRecordId = 'CUST_INQUIRY*':@station\r\nrecord_lock( SysListsTable, 'SysLists', RecordId )\r\nwritev CIId on SysListsTable, RecordId, 1 else\r\n    Void = msg( '', 'Unable to write ':CIId:' on SYSLISTS ':RecordId )\r\n    return 0\r\nend\r\nunlock SysListsTable, RecordId else\r\n    Void = msg( '', 'Unable to unlock SYSLISTS ':RecordId )\r\n    return 0\r\nend\r\nopen 'CUST_INQUIRY' to CITable else\r\n    Void = msg( '', 'Unable to open CUST_INQUIRY...' )\r\n    return 0\r\nend\r\nunlock CITable, CIId else\r\n    Void = msg( '', 'Unable to unlock CUST_INQUIRY ':CIId )\r\n    return 0\r\nend\r\nVoid = send_event( @window, 'WRITE' )\r\nVoid = end_window( @window, '' )\r\nbegin case\r\n   case PrevWindow = 'Quote'\r\n      Void = post_event( 'QUOTE.CUST_INQUIRY_ID', 'OMNIEVENT' )\r\nend case\r\nRETURN 0"
        }
    }
}